am: do not quote `like this', as per GCS recommendation
authorStefano Lattarini <stefano.lattarini@gmail.com>
Thu, 23 Feb 2012 14:15:26 +0000 (15:15 +0100)
committerStefano Lattarini <stefano.lattarini@gmail.com>
Thu, 23 Feb 2012 19:26:02 +0000 (20:26 +0100)
This patch converts the automake-provided '*.am' fragments, and
related files, to the use of new quoting format 'like this' or
"like this" rather than `like this'.

* lib/am/check.am: Update quoting format throughout, in comments
and diagnostic.  Some related rewordings, reformatting, and removal
of redundant commands since we are at it.
* lib/am/configure.am: Likewise.
* lib/am/dejagnu.am: Likewise.
* lib/am/depend2.am: Likewise.
* lib/am/distdir.am: Likewise.
* lib/am/inst-vars.am: Likewise.
* lib/am/install.am: Likewise.
* lib/am/lang-compile.am: Likewise.
* lib/am/lisp.am: Likewise.
* lib/am/ltlib.am: Likewise.
* lib/am/mans.am: Likewise.
* lib/am/progs.am: Likewise.
* lib/am/remake-hdr.am: Likewise.
* lib/am/subdirs.am: Likewise.
* lib/am/tags.am: Likewise.
* lib/am/texi-vers.am: Likewise.
* lib/am/texibuild.am: Likewise.
* lib/am/texinfos.am: Likewise.
* lib/am/yacc.am: Likewise.

19 files changed:
lib/am/check.am
lib/am/configure.am
lib/am/dejagnu.am
lib/am/depend2.am
lib/am/distdir.am
lib/am/inst-vars.am
lib/am/install.am
lib/am/lang-compile.am
lib/am/lisp.am
lib/am/ltlib.am
lib/am/mans.am
lib/am/progs.am
lib/am/remake-hdr.am
lib/am/subdirs.am
lib/am/tags.am
lib/am/texi-vers.am
lib/am/texibuild.am
lib/am/texinfos.am
lib/am/yacc.am

index cd4ebaa..404f13c 100644 (file)
@@ -105,8 +105,8 @@ $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
 
 # A shell command to get the names of the tests scripts with any registered
 # extension removed (i.e., equivalently, the names of the test logs, with
-# the `.log' extension removed).  The result is saved in the shell variable
-# `$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
+# the '.log' extension removed).  The result is saved in the shell variable
+# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
 # since that might cause problem with VPATH rewrites for suffix-less tests.
 # See also 'test-harness-vpath-rewrite.test' and 'test-trs-basic.test'.
@@ -120,9 +120,9 @@ am__set_TESTS_bases = \
 ## expand to "foo.log .log".
   bases=`echo $$bases`
 
-# Recover from deleted `.trs' file; this should ensure that
-# "rm -f foo.log; make foo.trs" re-run `foo.test', and re-create
-# both `foo.log' and `foo.trs'.  Break the recipe in two subshells
+# Recover from deleted '.trs' file; this should ensure that
+# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
+# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
 # to avoid problems with "make -n".
 .log.trs:
        rm -f $< $@
@@ -133,16 +133,16 @@ $(TEST_SUITE_LOG): $(TEST_LOGS)
 ## Helper shell function, tells whether a path refers to an existing,
 ## regular, readable file.
        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
-## We need to ensures that all the required `.trs' and `.log' files will
+## We need to ensures that all the required '.trs' and '.log' files will
 ## be present and readable.  The direct dependencies of $(TEST_SUITE_LOG)
-## only ensure that all the `.log' files exists; they don't ensure that
-## the `.log' files are readable, and worse, they don't ensure that the
-## `.trs' files even exist.
+## only ensure that all the '.log' files exists; they don't ensure that
+## the '.log' files are readable, and worse, they don't ensure that the
+## '.trs' files even exist.
        redo_bases=`for i in $$bases; do \
                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
                    done`; \
        if test -n "$$redo_bases"; then \
-## Uh-oh, either some `.log' files were unreadable, or some `.trs' files
+## Uh-oh, either some '.log' files were unreadable, or some '.trs' files
 ## were missing (or unreadable).  We need to re-run the corresponding
 ## tests in order to re-create them.
          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
@@ -199,7 +199,7 @@ $(TEST_SUITE_LOG): $(TEST_LOGS)
        else \
          success=false; \
        fi; \
-## Make $br a line of exactly 76 `=' characters, that will be used to
+## Make $br a line of exactly 76 '=' characters, that will be used to
 ## enclose the testsuite summary report when displayed on the console.
        br='==================='; br=$$br$$br$$br$$br; \
 ## When writing the test summary to the console, we want to color a line
@@ -259,7 +259,7 @@ $(TEST_SUITE_LOG): $(TEST_LOGS)
            test -n "$$glob_res" || glob_res=RUN; \
 ## Write the name and result of the test as an RST section title.
            echo "$$glob_res: $$i" | $(am__rst_section); \
-## If we should have remade any unreadable `.log', above.
+## If we should have remade any unreadable '.log', above.
            if test ! -r $$i.log; then \
              echo "fatal: making $@: $$i.log is unreadable" >&2; \
              exit 1; \
@@ -321,9 +321,9 @@ check-TESTS recheck:
 ## We always have to remove TEST_SUITE_LOG, to ensure its rule is run
 ## in any case even in lazy mode: otherwise, if no test needs rerunning,
 ## or a prior run plus reruns all happen within the same timestamp (can
-## happen with a prior `make TESTS=<subset>'), then we get no log output.
-## OTOH, this means that, in the rule for `$(TEST_SUITE_LOG)', we
-## cannot use `$?' to compute the set of lazily rerun tests, lest
+## happen with a prior "make TESTS=<subset>"), then we get no log output.
+## OTOH, this means that, in the rule for '$(TEST_SUITE_LOG)', we
+## cannot use '$?' to compute the set of lazily rerun tests, lest
 ## we rely on .PHONY to work portably.
        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
        @ws='[  ]'; \
@@ -332,7 +332,7 @@ check-TESTS recheck:
 ## If running a "make recheck", we must only consider tests that had an
 ## unexpected outcome (FAIL or XPASS) in the earlier run.  In particular,
 ## skip tests that haven't been run.  But recover gracefully from deleted
-## `.trs' files.
+## '.trs' files.
          if test $@ = recheck; then \
            test -f $$i.trs || test -f $$i.log || continue; \
 ## FIXME: one fork per test -- this is horrendously inefficient!
@@ -386,7 +386,7 @@ check-TESTS: $(TESTS)
          for tst in $$list; do \
            if test -f ./$$tst; then dir=./; \
 ## Note: Solaris 2.7 seems to expand TESTS using VPATH.  That's
-## why we also try `dir='
+## why we also try 'dir='.
            elif test -f $$tst; then dir=; \
            else dir="$(srcdir)/"; fi; \
            if $(TESTS_ENVIRONMENT) $${dir}$$tst $(AM_TESTS_FD_REDIRECT); then \
index 6eff289..20534c7 100644 (file)
@@ -70,7 +70,7 @@ endif %?TOPDIR_P%
 ## in newly added directories.
        @case '$?' in \
 ## Don't prefix $(top_builddir), because GNU make will strip it out
-## when it's `.'.
+## when it's '.'.
          *config.status*) \
 ?TOPDIR_P?         echo ' $(SHELL) ./config.status'; \
 ?TOPDIR_P?         $(SHELL) ./config.status;; \
index eacc399..f1ee471 100644 (file)
@@ -59,7 +59,7 @@ check-DEJAGNU: site.exp
            if $$runtest $(AM_RUNTESTFLAGS) $(RUNTESTDEFAULTFLAGS) $(RUNTESTFLAGS); \
            then :; else exit_status=1; fi; \
          done; \
-       else echo "WARNING: could not find \`runtest'" 1>&2; :;\
+       else echo "WARNING: could not find 'runtest'" 1>&2; :;\
        fi; \
        exit $$exit_status
 
index 23dad49..845472f 100644 (file)
 ## - once per *extension* (not per language) for generic compilation rules
 ## - once for each file which requires specific flags.
 
-## Note it is on purpose we wrote `if %AMDEP%', since:
+## Note it is on purpose we wrote "if %AMDEP%", since:
 ##
 ## - if deps are turned off, %AMDEP% is mapped onto FALSE, and therefore
-##   the `if FALSE' chunk is removed (automake-time conditionals).
+##   the "if FALSE" chunk is removed (automake-time conditionals).
 ##
 ## - if deps are on, %AMDEP% is mapped onto AMDEP,  and therefore
-##   the `if AMDEP' chunk is prefix with @AMDEP_TRUE@ just like for any
+##   the "if AMDEP" chunk is prefix with @AMDEP_TRUE@ just like for any
 ##   other configure-time conditional.
 ##
 ## We do likewise for %FASTDEP%; this expands to an ordinary
 ##     do not care about build details such as dependency generation
 ##     (the if/then/else machinery in FASTDEP rules).  Their point is
 ##     that it is hard to spot diagnostics in a verbose output.
-## (3) Other people want `make -s' to work as expected: silently.
+## (3) Other people want "make -s" to work as expected: silently.
 ##     This way they can spot any diagnostic really easily.
 ##
-## The second point suggests we hide rules with @ and that we `echo'
+## The second point suggests we hide rules with @ and that we 'echo'
 ## only the relevant parts.  However this goes against the two others.
 ## There are regular complaints about this on the mailing list, but
 ## it's hard to please everybody.  On April 2003, William Fulton (from
@@ -130,7 +130,7 @@ if %AMDEP%
        %VERBOSE%source='%SOURCE%' object='%LTOBJ%' libtool=yes @AMDEPBACKSLASH@
        DEPDIR=$(DEPDIR) $(%FPFX%DEPMODE) $(depcomp) @AMDEPBACKSLASH@
 endif %AMDEP%
-## We can always use `-o' with Libtool.
+## We can always use '-o' with Libtool.
 ?GENERIC?      %VERBOSE-NODEP%%LTCOMPILE% %-c% -o %LTOBJ% %SOURCEFLAG%%SOURCE%
 ## For non-suffix rules, we must emulate a VPATH search on %SOURCE%.
 ?!GENERIC?     %VERBOSE-NODEP%%LTCOMPILE% %-c% -o %LTOBJ% %SOURCEFLAG%`test -f '%SOURCE%' || echo '$(srcdir)/'`%SOURCE%
index 7907023..e27b650 100644 (file)
@@ -91,7 +91,7 @@ if  %?CK-NEWS%
 endif  %?CK-NEWS%
 endif %?TOPDIR_P%
 ##
-## `missing help2man' may have created some bogus man pages.  Ensure they
+## 'missing help2man' may have created some bogus man pages.  Ensure they
 ## are not distributed.
 ##
 if %?INSTALL-MAN%
@@ -107,10 +107,10 @@ if %?HAVE-MANS%
            if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
          if test -n "$$list" && \
            grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
-           echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
+           echo "error: found man pages containing the 'missing help2man' replacement text:" >&2; \
            grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
            echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
-           echo "       typically \`make maintainer-clean' will remove them" >&2; \
+           echo "       typically 'make maintainer-clean' will remove them" >&2; \
            exit 1; \
          else :; fi; \
        else :; fi
@@ -130,9 +130,9 @@ endif %?TOPDIR_P%
 ##
 ## Yet another hack to support SUN make.
 ##
-## Let's assume `foo' appears in DISTFILES and is not a built file.
+## Let's assume 'foo' appears in DISTFILES and is not a built file.
 ## When building with VPATH=$(srcdir), SUN make and OSF1/Tru64 will
-## rewrite `foo' as `$(srcdir)/foo'.  An attempt to install the file
+## rewrite 'foo' as '$(srcdir)/foo'.  An attempt to install the file
 ## with
 ##    cp $file $(distdir)/$file
 ## will thus install $(srcdir)/foo as $(distdir)/$(srcdir)/foo
@@ -148,20 +148,21 @@ endif %?TOPDIR_P%
 ## same pattern as $(srcdir)?
 ## Well, it can't happen without the Makefile author distributing
 ## something out of the distribution (which is bad).  As an example,
-## consider `EXTRA_DIST = ../bar'.  This is an issue if $srcdir is `..',
-## however getting this value for srcdir is impossible: `EXTRA_DIST = ../bar'
-## implies we are in a subdirectory (so `../bar' is within the package),
-## hence `$srcdir' is something like `../../subdir'.
+## consider "EXTRA_DIST = ../bar".  This is an issue if $srcdir is
+## '..', however getting this value for srcdir is impossible:
+## "EXTRA_DIST = ../bar" implies we are in a subdirectory (so '../bar'
+## is within the package), hence '$srcdir' is something like
+## '../../subdir'.
 ##
 ## There is more to say about files which are above the current directory,
-## like `../bar' in the previous example.  The OSF1/Tru64 make
+## like '../bar' in the previous example.  The OSF1/Tru64 make
 ## implementation can simplify filenames resulting from a VPATH lookup.
-## For instance if `VPATH = ../../subdir' and `../bar' is found in that
-## VPATH directory, then occurrences of `../bar' will be replaced by
-## `../../bar' (instead of `../../subdir/../bar').  This obviously defeats
+## For instance if "VPATH = ../../subdir" and '../bar' is found in that
+## VPATH directory, then occurrences of '../bar' will be replaced by
+## '../../bar' (instead of '../../subdir/../bar').  This obviously defeats
 ## any attempt to strip a leading $srcdir.  Presently we have no workaround
-## for this.  We avoid this issue by writing `EXTRA_DIST = $(srcdir)/../bar'
-## instead of `EXTRA_DIST = ../bar'.  This prefixing is needed only for files
+## for this.  We avoid this issue by writing "EXTRA_DIST = $(srcdir)/../bar"
+## instead of "EXTRA_DIST = ../bar".  This prefixing is needed only for files
 ## above the current directory.  Fortunately, apart from auxdir files which
 ## can be located in .. or ../.., this situation hardly occurs in practice.
 ##
@@ -172,7 +173,7 @@ endif %?TOPDIR_P%
          dist_files=`for file in $$list; do echo $$file; done | \
          sed -e "s|^$$srcdirstrip/||;t" \
              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-## (The second `t' command clears the flag for the next round.)
+## (The second 't' command clears the flag for the next round.)
 ##
 ## Make the subdirectories for the files.
 ##
@@ -199,18 +200,18 @@ endif %?TOPDIR_P%
 ##
          if test -d $$d/$$file; then \
 ## Don't mention $$file in the destination argument, since this fails if
-## the destination directory already exists.  Also, use `-R' and not `-r'.
-## `-r' is almost always incorrect.
-##
-## If a directory exists both in `.' and $(srcdir), then
-## We copy the files from $(srcdir) first and then install those from
-## `.'.  This can help people who distribute directories made of
-## source files _and_ generated files.  It is also important when the
-## directory exists only in $(srcdir), because some vendor Make (such
-## as Tru64) will magically create an empty directory in `.'
+## the destination directory already exists.  Also, use '-R' and not '-r'.
+## '-r' is almost always incorrect.
+##
+## If a directory exists both in '.' and $(srcdir), then we copy the
+## files from $(srcdir) first and then install those from '.'.  This
+## can help people who distribute directories made of source files
+## *and* generated files.  It is also important when the directory
+## exists only in $(srcdir), because some vendor Make (such as Tru64)
+## will magically create an empty directory in '.'.
            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
 ## If the destination directory already exists, it may contain read-only
-## files, e.g., during `make distcheck'.
+## files, e.g., during "make distcheck".
            if test -d "$(distdir)/$$file"; then \
              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
            fi; \
@@ -223,7 +224,7 @@ endif %?TOPDIR_P%
 ## Test for file existence because sometimes a file gets included in
 ## DISTFILES twice.  For example this happens when a single source
 ## file is used in building more than one program.
-## See also test `dist-repeated.test'.
+## See also test 'dist-repeated.test'.
            test -f "$(distdir)/$$file" \
            || cp -p $$d/$$file "$(distdir)/$$file" \
            || exit 1; \
@@ -235,7 +236,7 @@ endif %?TOPDIR_P%
 ## explicitly set distdir for the subdir make; that lets us mix-n-match
 ## many automake-using packages into one large package, and have "dist"
 ## at the top level do the right thing.  If we're in the topmost
-## directory, then we use `distdir' instead of `top_distdir'; this lets
+## directory, then we use 'distdir' instead of 'top_distdir'; this lets
 ## us work correctly with an enclosing package.
 if %?SUBDIRS%
        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
@@ -320,9 +321,9 @@ endif %?TOPDIR_P%
 ## Building various distribution flavors.  ##
 ## --------------------------------------- ##
 
-## Note that we don't use GNU tar's `-z' option.  One reason (but not
+## Note that we don't use GNU tar's '-z' option.  One reason (but not
 ## the only reason) is that some versions of tar (e.g., OSF1)
-## interpret `-z' differently.
+## interpret '-z' differently.
 ##
 ## The -o option of GNU tar used to exclude empty directories.  This
 ## behavior was fixed in tar 1.12 (released on 1997-04-25).  But older
@@ -332,7 +333,7 @@ endif %?TOPDIR_P%
 ## present in the archive are really unusual.
 ##
 ## We order DIST_TARGETS by expected duration of the compressors,
-## slowest first, for better parallelism in `make dist'.  Do not
+## slowest first, for better parallelism in "make dist".  Do not
 ## reorder DIST_ARCHIVES, users may expect gzip to be first.
 
 if %?TOPDIR_P%
@@ -453,13 +454,13 @@ distcheck: dist
        mkdir $(distdir)/_inst
 ## Undo the write access.
        chmod a-w $(distdir)
-## With GNU make, the following command will be executed even with `make -n',
-## due to the presence of `$(MAKE)'.  That is normally all well (and `$(MAKE)'
+## With GNU make, the following command will be executed even with "make -n",
+## due to the presence of '$(MAKE)'.  That is normally all well (and '$(MAKE)'
 ## is necessary for things like parallel distcheck), but here we don't want
 ## execution.  To avoid MAKEFLAGS parsing hassles, use a witness file that a
-## non-`-n' run would have just created.
+## non-'-n' run would have just created.
        test -d $(distdir)/_build || exit 0; \
-## Compute the absolute path of `_inst'.  Strip any leading DOS drive
+## Compute the absolute path of '_inst'.  Strip any leading DOS drive
 ## to allow DESTDIR installations.  Otherwise "$(DESTDIR)$(prefix)" would
 ## expand to "c:/temp/am-dc-5668/c:/src/package/package-1.0/_inst".
        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
@@ -469,7 +470,7 @@ distcheck: dist
          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
 ?DISTCHECK-HOOK?         && $(MAKE) $(AM_MAKEFLAGS) distcheck-hook \
 ## Parallel BSD make may not start a new shell for each command in a recipe,
-## so be sure to `cd' back to the original directory after this.
+## so be sure to 'cd' back to the original directory after this.
          && am__cwd=`pwd` \
          && $(am__cd) $(distdir)/_build \
          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
@@ -490,14 +491,14 @@ distcheck: dist
 ## Make sure the package has proper DESTDIR support (we could not test this
 ## in the previous install/installcheck/uninstall test, because it's reasonable
 ## for installcheck to fail in a DESTDIR install).
-## We make the `$dc_install_base' read-only because this is where files
+## We make the '$dc_install_base' read-only because this is where files
 ## with missing DESTDIR support are likely to be installed.
          && chmod -R a-w "$$dc_install_base" \
 ## The logic here is quite convoluted because we must clean $dc_destdir
 ## whatever happens (it won't be erased by the next run of distcheck like
 ## $(distdir) is).
          && ({ \
-## Build the directory, so we can cd into it even if `make install'
+## Build the directory, so we can cd into it even if "make install"
 ## didn't create it.  Use mkdir, not $(MKDIR_P) because we want to
 ## fail if the directory already exists (PR/413).
               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
@@ -523,7 +524,7 @@ distcheck: dist
 ## from distcheck, so that they can be overridden by the user.
 .PHONY: distuninstallcheck
 distuninstallcheck_listfiles = find . -type f -print
-## The `dir' file (created by install-info) might still exist after
+## The 'dir' file (created by install-info) might still exist after
 ## uninstall, so we must be prepared to account for it.  The following
 ## check is not 100% strict, but is definitely good enough, and even
 ## accounts for overridden $(infodir).
index b46208e..3096f0a 100644 (file)
@@ -59,9 +59,9 @@ am__base_list = \
 ## to the directory where the files to be removed are, and to the list of
 ## such files.
 am__uninstall_files_from_dir = { \
-## Some rm implementations complain if `rm -f' is used without arguments.
+## Some rm implementations complain if 'rm -f' is used without arguments.
   test -z "$$files" \
-## At least Solaris /bin/sh still lacks `test -e', so we use the multiple
+## At least Solaris /bin/sh still lacks 'test -e', so we use the multiple
 ## tests below instead.  We expect $dir to be either non-existent or a
 ## directory, so the failure we'll experience if it is a regular file
 ## is indeed desired and welcome (better to fail loudly thasn silently).
index 6399ab4..b587d08 100644 (file)
 ## ----------------------------------------- ##
 
 ## The reason we loop over %am__installdirs% (instead of simply running
-## `$(MKDIR_P) %am__installdirs%') is that directories variable such as
-## `"$(DESTDIR)$(mydir)"' can potentially expand to `""' if `$(mydir)'
-## is conditionally defined.  BTW, those directories are quoted in
-## order to support installation paths with spaces.
+## $(MKDIR_P) %am__installdirs%) is that directories variable such as
+## "$(DESTDIR)$(mydir)" can potentially expand to "" if $(mydir) is
+## conditionally defined.  BTW, those directories are quoted in order
+## to support installation paths with spaces.
 
 if %?SUBDIRS%
 .PHONY: installdirs installdirs-am
index c2a8fc9..04cafb3 100644 (file)
@@ -20,7 +20,7 @@
 ## Preprocessed Fortran 77.  ##
 ## ------------------------- ##
 
-## We also handle the case of preprocessing `.F' files into `.f' files.
+## We also handle the case of preprocessing '.F' files into '.f' files.
 if %?PPF77%
 .F.f:
        $(F77COMPILE) -F $<
index cfa72b0..21d7f48 100644 (file)
@@ -46,16 +46,16 @@ elc-stamp: $(LISP)
 $(am__ELCFILES): elc-stamp
 ## Recover from the removal of $@.
 ##
-## Do not call `make elc-stamp' if emacs is not available, because it would
+## Do not call "make elc-stamp" if emacs is not available, because it would
 ## be useless.
 ##
-## If `make -n' is called, do not execute any command in the recipe that
+## If "make -n" is called, do not execute any command in the recipe that
 ## changes the tree; however, invoke the recursive make for debuggability.
        @if $(am__make_dryrun); then dry=:; else dry=; fi; \
        if test "$(EMACS)" != no && test ! -f $@; then \
-## If `make -j' is used and more than one file has been erased, several
+## If "make -j" is used and more than one file has been erased, several
 ## processes can execute this block.  We have to make sure that only
-## the first one will run `$(MAKE) $(AM_MAKEFLAGS) elc-stamp', and the
+## the first one will run "$(MAKE) $(AM_MAKEFLAGS) elc-stamp", and the
 ## other ones will wait.
 ##
 ## There is a race here if only one child of make receive a signal.
index c25f863..ee20a90 100644 (file)
@@ -100,7 +100,7 @@ endif %?INSTALL%
 .PHONY clean-am: clean-%DIR%LTLIBRARIES
 clean-%DIR%LTLIBRARIES:
        -test -z "$(%DIR%_LTLIBRARIES)" || rm -f $(%DIR%_LTLIBRARIES)
-## `so_locations' files are created by some linkers (IRIX, OSF) when
+## 'so_locations' files are created by some linkers (IRIX, OSF) when
 ## building a shared object.  Libtool places these files in the
 ## directory where the shared object is created.
        @list='$(%DIR%_LTLIBRARIES)'; \
index 9574f87..5c563b3 100644 (file)
@@ -38,7 +38,7 @@ if %?NOTRANS_MANS%
 ## Extract all items from notrans_man_MANS that should go in this section.
 ## This must be done dynamically to support conditionals.
 ?HAVE_NOTRANS? l2='%NOTRANS_LIST%'; for i in $$l2; do echo "$$i"; done | \
-## Accept for `man1' files like `foo.1c' but not `sub.1/foo.2' or `foo-2.1.4'.
+## Accept for 'man1' files like 'foo.1c' but not 'sub.1/foo.2' or 'foo-2.1.4'.
 ?HAVE_NOTRANS?   sed -n '/\.%SECTION%[a-z]*$$/p'; \
 ## Extract basename of manpage, change the extension if needed.
        } | while read p; do \
@@ -70,7 +70,7 @@ if %?TRANS_MANS%
 ## Extract all items from notrans_man_MANS that should go in this section.
 ## This must be done dynamically to support conditionals.
 ?HAVE_TRANS?   l2='%TRANS_LIST%'; for i in $$l2; do echo "$$i"; done | \
-## Accept for `man1' files like `foo.1c' but not `sub.1/foo.2' or `foo-2.1.4'.
+## Accept for 'man1' files like 'foo.1c' but not 'sub.1/foo.2' or 'foo-2.1.4'.
 ?HAVE_TRANS?     sed -n '/\.%SECTION%[a-z]*$$/p'; \
 ## Extract basename of manpage, change the extension if needed.
        } | while read p; do \
@@ -114,7 +114,7 @@ if %?NOTRANS_MANS%
 ## Extract all items from notrans_man_MANS that should go in this section.
 ## This must be done dynamically to support conditionals.
 ?HAVE_NOTRANS? l2='%NOTRANS_LIST%'; for i in $$l2; do echo "$$i"; done | \
-## Accept for `man1' files like `foo.1c' but not `sub.1/foo.2' or `foo-2.1.4'.
+## Accept for 'man1' files like 'foo.1c' but not 'sub.1/foo.2' or 'foo-2.1.4'.
 ?HAVE_NOTRANS?   sed -n '/\.%SECTION%[a-z]*$$/p'; \
 ## Extract basename of manpage, change the extension if needed.
        } | sed 's,.*/,,;s,\.[^%SECTION%][0-9a-z]*$$,.%SECTION%,'`; \
@@ -127,7 +127,7 @@ if %?TRANS_MANS%
 ## Extract all items from man_MANS that should go in this section.
 ## This must be done dynamically to support conditionals.
 ?HAVE_TRANS?   l2='%TRANS_LIST%'; for i in $$l2; do echo "$$i"; done | \
-## Accept for `man1' files like `foo.1c' but not `sub.1/foo.2' or `foo-2.1.4'.
+## Accept for 'man1' files like 'foo.1c' but not 'sub.1/foo.2' or 'foo-2.1.4'.
 ?HAVE_TRANS?     sed -n '/\.%SECTION%[a-z]*$$/p'; \
 ## Extract basename of manpage, run it through the program rename
 ## transform, and change the extension if needed.
index d26ca2f..0e2cc02 100644 (file)
@@ -28,7 +28,7 @@ install-%DIR%PROGRAMS: $(%DIR%_PROGRAMS)
 ## a syntax error in sh.
        @list='$(%DIR%_PROGRAMS)'; test -n "$(%NDIR%dir)" || list=; \
        for p in $$list; do echo "$$p $$p"; done | \
-## On Cygwin with libtool test won't see `foo.exe' but instead `foo'.
+## On Cygwin with libtool test won't see 'foo.exe' but instead 'foo'.
 ## So we check for both.
        sed 's/$(EXEEXT)$$//' | \
        while read p p1; do if test -f $$p%LIBTOOL? || test -f $$p1%; \
@@ -97,14 +97,14 @@ endif %?INSTALL%
 .PHONY clean-am: clean-%DIR%PROGRAMS
 clean-%DIR%PROGRAMS:
 ?!LIBTOOL?     -test -z "$(%DIR%_PROGRAMS)" || rm -f $(%DIR%_PROGRAMS)
-## Under Cygwin, we build `program$(EXEEXT)'.  However, if this
+## Under Cygwin, we build 'program$(EXEEXT)'.  However, if this
 ## program uses a Libtool library, Libtool will move it in
-## `_libs/program$(EXEEXT)' and create a `program' wrapper (without
-## `$(EXEEXT)').  Therefore, if Libtool is used, we must try to erase
-## both `program$(EXEEXT)' and `program'.
-## Cleaning the `_libs/' or `.libs/' directory is done from clean-libtool.
+## '_libs/program$(EXEEXT)' and create a 'program' wrapper (without
+## '$(EXEEXT)').  Therefore, if Libtool is used, we must try to erase
+## both 'program$(EXEEXT)' and 'program'.
+## Cleaning the '_libs/' or '.libs/' directory is done from clean-libtool.
 ## FIXME: In the future (i.e., when it works) it would be nice to delegate
-## this task to `libtool --mode=clean'.
+## this task to "libtool --mode=clean".
 ?LIBTOOL?      @list='$(%DIR%_PROGRAMS)'; test -n "$$list" || exit 0; \
 ?LIBTOOL?      echo " rm -f" $$list; \
 ?LIBTOOL?      rm -f $$list || exit $$?; \
index c5cd8e7..f61400a 100644 (file)
@@ -45,13 +45,13 @@ if %?FIRST%
 ## out-of-date config.h without knowing it).  One situation where this
 ## can occur is the following:
 ## 1. the user updates some configure dependency (let's say foo.m4)
-##    and runs `make'
+##    and runs 'make';
 ## 2. the rebuild rules detect that a foo.m4 has changed,
 ##    run aclocal, autoconf, automake, and then run ./config.status.
 ##    (Note that autoheader hasn't been called yet, so ./config.status
-##    outputs a config.h from an obsolete config.hin.)
-## 3. Once Makefile has been regenerated, make continues, and
-##    discovers that config.h is a dependency of the `all' rule.
+##    outputs a config.h from an obsolete config.hin);
+## 3. once Makefile has been regenerated, make continues, and
+##    discovers that config.h is a dependency of the 'all' rule.
 ##    Because config.h depends on stamp-h1, stamp-h1 depends on
 ##    config.hin, and config.hin depends on aclocal.m4, make runs
 ##    autoheader to rebuild config.hin.
index 0fefd8b..1d1295e 100644 (file)
@@ -17,7 +17,7 @@
 RECURSIVE_TARGETS += all-recursive check-recursive installcheck-recursive
 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive        \
   distclean-recursive maintainer-clean-recursive
-## All documented targets which invoke `make' recursively, or depend
+## All documented targets which invoke 'make' recursively, or depend
 ## on targets that do so.
 AM_RECURSIVE_TARGETS += $(RECURSIVE_TARGETS:-recursive=) \
   $(RECURSIVE_CLEAN_TARGETS:-recursive=)
@@ -26,11 +26,11 @@ AM_RECURSIVE_TARGETS += $(RECURSIVE_TARGETS:-recursive=) \
 .MAKE: $(RECURSIVE_TARGETS) $(RECURSIVE_CLEAN_TARGETS)
 
 # This directory's subdirectories are mostly independent; you can cd
-# into them and run `make' without going through this Makefile.
-# To change the values of `make' variables: instead of editing Makefiles,
-# (1) if the variable is set in `config.status', edit `config.status'
-#     (which will cause the Makefiles to be regenerated when you run `make');
-# (2) otherwise, pass the desired values on the `make' command line.
+# into them and run 'make' without going through this Makefile.
+# To change the values of 'make' variables: instead of editing Makefiles,
+# (1) if the variable is set in 'config.status', edit 'config.status'
+#     (which will cause the Makefiles to be regenerated when you run 'make');
+# (2) otherwise, pass the desired values on the 'make' command line.
 
 $(RECURSIVE_TARGETS):
 ## Using $failcom allows "-k" to keep its natural meaning when running a
@@ -65,7 +65,7 @@ clean: clean-recursive
 distclean: distclean-recursive
 maintainer-clean: maintainer-clean-recursive
 
-## We run all `clean' targets in reverse order.  Why?  It's an attempt
+## We run all 'clean' targets in reverse order.  Why?  It's an attempt
 ## to alleviate a problem that can happen when dependencies are
 ## enabled.  In this case, the .P file in one directory can depend on
 ## some automatically generated header in an earlier directory.  Since
@@ -83,7 +83,7 @@ $(RECURSIVE_CLEAN_TARGETS):
        done; \
        dot_seen=no; \
 ## For distclean and maintainer-clean we make sure to use the full
-## list of subdirectories.  We do this so that `configure; make
+## list of subdirectories.  We do this so that 'configure; make
 ## distclean' really is a no-op, even if SUBDIRS is conditional.  For
 ## other clean targets this doesn't matter.
        case "$@" in \
@@ -95,7 +95,7 @@ $(RECURSIVE_CLEAN_TARGETS):
            rev="$$subdir $$rev"; \
          fi; \
        done; \
-## Always do `.' last.
+## Always do '.' last.
        rev="$$rev ."; \
        target=`echo $@ | sed s/-recursive//`; \
        for subdir in $$rev; do \
index 55ba36a..fccacca 100644 (file)
@@ -47,13 +47,11 @@ TAGS: %TAGSDIRS% $(HEADERS) $(SOURCES) %CONFIG% $(TAGS_DEPENDENCIES) \
 ## absolute names, without the need to worry about white space in `pwd`.
        set x; \
        here=`pwd`; \
-## It is tempting to use if/endif here, but don't: the previous
-## backslash will cause bad results (automake doesn't `see' the `if').
 ## Exuberant Ctags wants --etags-include,
 ## GNU Etags             --include
 ## Furthermore Exuberant Ctags 5.5.4 fails to create TAGS files
 ## when no files are supplied, despite any --etags-include option.
-## A workaround is to pass `.' as a file.  This is what $empty_fix is for.
+## A workaround is to pass '.' as a file.  This is what $empty_fix is for.
 ?SUBDIRS?      if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
 ?SUBDIRS?        include_option=--etags-include; \
 ?SUBDIRS?        empty_fix=.; \
@@ -62,7 +60,7 @@ TAGS: %TAGSDIRS% $(HEADERS) $(SOURCES) %CONFIG% $(TAGS_DEPENDENCIES) \
 ?SUBDIRS?        empty_fix=; \
 ?SUBDIRS?      fi; \
 ?SUBDIRS?      list='$(SUBDIRS)'; for subdir in $$list; do \
-## Do nothing if we're trying to look in `.'.
+## Do nothing if we're trying to look in '.'.
 ?SUBDIRS?        if test "$$subdir" = .; then :; else \
 ?SUBDIRS?          test ! -f $$subdir/TAGS || \
 ## Note that the = is mandatory for --etags-include.
@@ -77,7 +75,7 @@ TAGS: %TAGSDIRS% $(HEADERS) $(SOURCES) %CONFIG% $(TAGS_DEPENDENCIES) \
          done | \
          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
              END { if (nonempty) { for (i in files) print i; }; }'`; \
-## Remove the `x' we added first:
+## Remove the 'x' we added first:
        shift; \
 ## Make sure we have something to run etags on.
        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
@@ -92,9 +90,9 @@ TAGS: %TAGSDIRS% $(HEADERS) $(SOURCES) %CONFIG% $(TAGS_DEPENDENCIES) \
        fi
 
 
-## ------------- ##
-## vi-style tags ##
-## ------------- ##
+## --------------- ##
+## vi-style tags ##
+## --------------- ##
 
 CTAGS = ctags
 .PHONY: CTAGS ctags
@@ -103,7 +101,7 @@ AM_RECURSIVE_TARGETS += ctags CTAGS
 endif %?SUBDIRS%
 ctags: CTAGS
 
-## We have a dummy name here because `tags' has already been in use
+## We have a dummy name here because 'tags' has already been in use
 ## for a long time to mean Emacs-style tags.  Oops.  This means the
 ## dependencies here are useless.
 CTAGS: %CTAGSDIRS% $(HEADERS) $(SOURCES) %CONFIG% $(TAGS_DEPENDENCIES) \
@@ -123,7 +121,7 @@ CTAGS: %CTAGSDIRS% $(HEADERS) $(SOURCES) %CONFIG% $(TAGS_DEPENDENCIES) \
 
 
 ## --------------- ##
-## `Global' tags.  ##
+## "Global tags".  ##
 ## --------------- ##
 
 .PHONY: GTAGS
index 217dd73..4065524 100644 (file)
@@ -16,7 +16,7 @@
 
 DIST_COMMON += %VTEXI% %STAMPVTI%
 
-## Don't give this rule a command (even `@:').
+## Don't give this rule a command (even '@:').
 ## %STAMPVTI% is always newer than %VTEXI%, so this rule is always
 ## triggered.  If you equip this rule with a command, GNU make will
 ## assume %VTEXI% has been rebuild in the current directory and
index 4cdc7ed..40f01e4 100644 (file)
@@ -17,8 +17,8 @@
 
 ?GENERIC_INFO?%SOURCE_SUFFIX%%DEST_SUFFIX%:
 ?!GENERIC_INFO?%DEST_INFO_PREFIX%%DEST_SUFFIX%: %SOURCE_INFO% %DEPS%
-## It is wrong to have `info' files dependent on %DIRSTAMP%, because
-## `info' files are distributed and %DIRSTAMP% isn't: a distributed file
+## It is wrong to have 'info' files dependent on %DIRSTAMP%, because
+## 'info' files are distributed and %DIRSTAMP% isn't: a distributed file
 ## should never be dependent upon a non-distributed built file.
 ## Therefore we ensure that %DIRSTAMP% exists in the rule.
 ?!INSRC??DIRSTAMP?     @test -f %DIRSTAMP% || $(MAKE) $(AM_MAKEFLAGS) %DIRSTAMP%
@@ -35,7 +35,7 @@
 ?INSRC?        am__cwd=`pwd` && $(am__cd) $(srcdir) && \
        rm -rf $$backupdir && mkdir $$backupdir && \
 ## If makeinfo is not installed we must not backup the files so
-##`missing' can do its job and touch $@ if it exists.
+## 'missing' can do its job and touch $@ if it exists.
        if ($(MAKEINFO) --version) >/dev/null 2>&1; then \
          for f in $@ $@-[0-9] $@-[0-9][0-9] $(@:.info=).i[0-9] $(@:.info=).i[0-9][0-9]; do \
            if test -f $$f; then mv $$f $$backupdir; restore=mv; else :; fi; \
@@ -65,7 +65,7 @@ INFO_DEPS += %DEST_INFO_PREFIX%%DEST_SUFFIX%
 ## Must set MAKEINFO like this so that version.texi will be found even
 ## if it is in srcdir (-I $(srcdir) is set in %MAKEINFOFLAGS%).
        MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) %MAKEINFOFLAGS%' \
-## Do not use `-o' unless necessary: it is only supported since Texinfo 4.1.
+## Do not use '-o' unless necessary: it is only supported since Texinfo 4.1.
 ## texi2dvi doesn't silence everything with -q, redirect to /dev/null instead.
 ## We still want -q (%TEXIQUIET%) because it turns on batch mode.
 ?GENERIC?      $(TEXI2DVI) %TEXIQUIET% %SOURCE% %TEXIDEVNULL%
@@ -77,7 +77,7 @@ INFO_DEPS += %DEST_INFO_PREFIX%%DEST_SUFFIX%
 ## Must set MAKEINFO like this so that version.texi will be found even
 ## if it is in srcdir (-I $(srcdir) is set in %MAKEINFOFLAGS%).
        MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) %MAKEINFOFLAGS%' \
-## Do not use `-o' unless necessary: it is only supported since Texinfo 4.1.
+## Do not use '-o' unless necessary: it is only supported since Texinfo 4.1.
 ## texi2pdf doesn't silence everything with -q, redirect to /dev/null instead.
 ## We still want -q (%TEXIQUIET%) because it turns on batch mode.
 ?GENERIC?      $(TEXI2PDF) %TEXIQUIET% %SOURCE% %TEXIDEVNULL%
index 43a750a..fbc7a05 100644 (file)
@@ -99,7 +99,7 @@ endif ! %?LOCAL-TEXIS%
 ## break a possible install-sh reference.
 ##
 ## Funny name due to --cygnus influence; we want to reserve
-## `install-info' for the user.
+## 'install-info' for the user.
 ##
 ## TEXINFOS primary are always installed in infodir, hence install-data
 ## is hard coded.
@@ -200,7 +200,7 @@ install-info-am: $(INFO_DEPS)
 ##
 ## If $file == foo.info, then $file_i == foo.i.  The reason we use two
 ## shell commands instead of one ('s|\.info$$|.i|') is so that a suffix-less
-## `foo' becomes `foo.i' too.
+## 'foo' becomes 'foo.i' too.
          file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
          for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
                       $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
@@ -214,7 +214,7 @@ install-info-am: $(INFO_DEPS)
          $(INSTALL_DATA) $$files "$(DESTDIR)$(infodir)" || exit $$?; done
        @$(POST_INSTALL)
 ## Only run this code if install-info actually exists, and if the user
-## doesn't request it not to be run (through the `AM_UPDATE_INFO_DIR'
+## doesn't request it not to be run (through the 'AM_UPDATE_INFO_DIR'
 ## environment variable).  See automake bug#9773 and Debian Bug#543992.
        @am__run_installinfo=yes; \
        case $$AM_UPDATE_INFO_DIR in \
@@ -227,14 +227,14 @@ install-info-am: $(INFO_DEPS)
          for file in $$list; do \
 ## Strip directory
            relfile=`echo "$$file" | sed 's|^.*/||'`; \
-## Run `:' after install-info in case install-info fails.  We really
+## Run ":" after install-info in case install-info fails.  We really
 ## don't care about failures here, because they can be spurious.  For
 ## instance if you don't have a dir file, install-info will fail.  I
 ## think instead it should create a new dir file for you.  This bug
-## causes the `make distcheck' target to fail reliably.
+## causes the "make distcheck" target to fail reliably.
            echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
-## Use `|| :' here because Sun make passes -e to sh; if install-info
-## fails then we'd fail if we used `;'.
+## Use "|| :" here because Sun make passes -e to sh; if install-info
+## fails then we'd fail if we used ";".
            install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
          done; \
        else : ; fi
@@ -315,7 +315,7 @@ uninstall-info-am:
            relfile=`echo "$$file" | sed 's|^.*/||'`; \
 ## install-info needs the actual info file.  We use the installed one,
 ## rather than relying on one still being in srcdir or builddir.
-## However, `make uninstall && make uninstall' should not fail,
+## However, "make uninstall && make uninstall" should not fail,
 ## so we ignore failure if the file did not exist.
            echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
            if install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
@@ -382,20 +382,20 @@ endif %?LOCAL-TEXIS%
 ## ---------- ##
 
 ## The funny name is due to --cygnus influence; in Cygnus mode,
-## `clean-info' is a target that users can use.
+## 'clean-info' is a target that users can use.
 
 if %?LOCAL-TEXIS%
 .PHONY mostlyclean-am: mostlyclean-aminfo
 .PHONY: mostlyclean-aminfo
 mostlyclean-aminfo:
-## Use `-rf', not just `-f', because the %*CLEAN% substitutions can also
-## contain any directory created by `makeinfo --html'.
+## Use '-rf', not just '-f', because the %*CLEAN% substitutions can also
+## contain any directory created by "makeinfo --html".
        -rm -rf %MOSTLYCLEAN%
 
 .PHONY clean-am: clean-aminfo
 clean-aminfo:
-## Use `-rf', not just `-f', because the %*CLEAN% substitutions can also
-## contain any directory created by `makeinfo --html'.
+## Use '-rf', not just '-f', because the %*CLEAN% substitutions can also
+## contain any directory created by "makeinfo --html".
 ?TEXICLEAN?    -test -z "%TEXICLEAN%" \
 ?TEXICLEAN?    || rm -rf %TEXICLEAN%
 
@@ -407,8 +407,8 @@ maintainer-clean-aminfo:
          echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
          rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
        done
-## Use `-rf', not just `-f', because the %*CLEAN% substitutions can also
-## contain any directory created by `makeinfo --html'.
+## Use '-rf', not just '-f', because the %*CLEAN% substitutions can also
+## contain any directory created by "makeinfo --html".
 ?MAINTCLEAN?   -test -z "%MAINTCLEAN%" \
 ?MAINTCLEAN?   || rm -rf %MAINTCLEAN%
 
index 4d53904..e74259f 100644 (file)
@@ -19,7 +19,7 @@
 ##   2. --enable-maintainer-mode is not specified, and
 ##   3. parser.c already exist, and
 ##   4. parser.y and parser.c are distributed.
-## Point #3 is because `make maintainer-clean' erases parser.c, yet
+## Point #3 is because "make maintainer-clean" erases parser.c, yet
 ## the GNU Coding Standards require that ./configure; make works even
 ## after that.
 ## Point #4 is because parsers listed in nodist_*_SOURCES are always